const path = require('path');

module.exports = {
  mode: 'development',
  entry: './src/index.js',
  output: {
    library:{
        name: "panoModule",
        type: "commonjs2"
    },
    filename: 'main.js',
    path: path.resolve(__dirname, 'dist'),
  },
  module: {
    rules: [
      {
        test: /\.(png|svg|jpg|jpeg|gif)$/i,
        type: 'asset/resource',
      },
    ]
  }
};
